@echo off
if "%1"=="" goto usage

set NLSPATH=%1\usr\lib\nls
set LN_C=C
set LN_SJIS=ja_JP.SJI
set LN_FR=fr_FR.850
set GENCAT=copy

echo.
echo Making directories...
if not exist %1\usr\con                   mkdir %1\usr
if not exist %1\usr\lib\con               mkdir %1\usr\lib
if not exist %1\usr\lib\nls\con           mkdir %1\usr\lib\nls
if not exist %1\usr\lib\nls\%LN_C%\con    mkdir %1\usr\lib\nls\%LN_C%
if not exist %1\usr\lib\nls\%LN_SJIS%\con mkdir %1\usr\lib\nls\%LN_SJIS%
if not exist %1\usr\lib\nls\%LN_FR%\con   mkdir %1\usr\lib\nls\%LN_FR%

echo.
echo Installing catalogs...
copy     locale.dir       %NLSPATH%                        >nul
copy     locale.ali       %NLSPATH%                        >nul
%GENCAT% _en\mei.msg      %NLSPATH%\%LN_C%\mei.cat         >nul
%GENCAT% _en\moe.msg      %NLSPATH%\%LN_C%\moe.cat         >nul
%GENCAT% _en\getopt.msg   %NLSPATH%\%LN_C%\getopt.cat      >nul
%GENCAT% _en\perror.msg   %NLSPATH%\%LN_C%\perror.cat      >nul
%GENCAT% _en\perrortc.msg %NLSPATH%\%LN_C%\perrortc.cat    >nul
%GENCAT% _ja\mei.msg      %NLSPATH%\%LN_SJIS%\mei.cat      >nul
%GENCAT% _ja\moe.msg      %NLSPATH%\%LN_SJIS%\moe.cat      >nul
%GENCAT% _ja\getopt.msg   %NLSPATH%\%LN_SJIS%\getopt.cat   >nul
%GENCAT% _ja\perror.msg   %NLSPATH%\%LN_SJIS%\perror.cat   >nul
%GENCAT% _ja\perrortc.msg %NLSPATH%\%LN_SJIS%\perrortc.cat >nul
%GENCAT% _fr\mei.msg      %NLSPATH%\%LN_FR%\mei.cat        >nul
%GENCAT% _fr\moe.msg      %NLSPATH%\%LN_FR%\moe.cat        >nul
%GENCAT% _fr\getopt.msg   %NLSPATH%\%LN_FR%\getopt.cat     >nul

set LN_C=
set LN_SJIS=
set LN_FR=
set GENCAT=
echo.
echo Done.
echo Add "set NLSPATH=%NLSPATH%" to your AUTOEXEC.BAT.
echo.
goto end

:usage
echo.
echo usage: %0 drive:
echo.

:end
